/***************************************************************************
*   Copyright (C) 2003 by Sandro Giessl                                   *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU General Public License as published by  *
*   the Free Software Foundation; either version 2 of the License, or     *
*   (at your option) any later version.                                   *
***************************************************************************/

#ifndef flatKNIFTYCONFIG_H
#define flatKNIFTYCONFIG_H

#include <qobject.h>

class QButtonGroup;
class QGroupBox;
class KConfig;
class ConfigDialog;

class flatKniftyConfig : public QObject
{
    Q_OBJECT
public:
    flatKniftyConfig(KConfig* config, QWidget* parent);
    ~flatKniftyConfig();

signals:
    void changed();

public slots:
    void load(KConfig *config);
    void save(KConfig *config);
    void defaults();

private:
    KConfig *m_config;
    ConfigDialog *m_dialog;
};

#endif // flatKNIFTYCONFIG_H
